Index: /trunk/ippTools/configure.ac
===================================================================
--- /trunk/ippTools/configure.ac	(revision 11141)
+++ /trunk/ippTools/configure.ac	(revision 11142)
@@ -16,5 +16,5 @@
 PKG_CHECK_MODULES([PSLIB], [pslib >= 0.12.99]) 
 PKG_CHECK_MODULES([PSMODULES], [psmodules >= 0.12.0]) 
-PKG_CHECK_MODULES([IPPDB], [ippdb >= 0.0.76]) 
+PKG_CHECK_MODULES([IPPDB], [ippdb >= 0.0.77]) 
 
 dnl check for PSDB support
Index: /trunk/ippTools/scripts/regtest.sh
===================================================================
--- /trunk/ippTools/scripts/regtest.sh	(revision 11141)
+++ /trunk/ippTools/scripts/regtest.sh	(revision 11142)
@@ -8,5 +8,5 @@
 echo -e "YES\nipp\n\n" | pxadmin -recreate || exit 1
 
-exp_tag1=`$inject -newExp -exp_id t10 -inst gpc -telescope ps1 -exp_type object -imfiles 4 -workdir file::///some/path -simple` || exit 1
+exp_tag1=`$inject -newExp -exp_id t10 -inst gpc -telescope ps1 -imfiles 4 -workdir file::///some/path -simple` || exit 1
 
 for ID in `seq 0 3`; do
@@ -14,5 +14,5 @@
 done;
 
-exp_tag2=`$inject -newExp -exp_id t11 -inst gpc -telescope ps1 -exp_type object -imfiles 4 -workdir file::///some/path -simple` || exit 1
+exp_tag2=`$inject -newExp -exp_id t11 -inst gpc -telescope ps1 -imfiles 4 -workdir file::///some/path -simple` || exit 1
 
 for ID in `seq 0 3`; do
@@ -23,5 +23,5 @@
 
 for ID in `seq 0 3`; do
-    $p0tool -addprocessedimfile -exp_tag $exp_tag1 -exp_type object -class OTA -class_id $ID -filter r -airmass 10 -ra 1 -decl 2 -exp_time 0 -bg 1 -bg_stdev 1 -bg_mean_stdev 10 -alt 10 -az 10 -ccd_temp 10 -posang 10 -object dog -dateobs 2006-10-20T10:10:10Z || exit 1
+    $p0tool -addprocessedimfile -exp_tag $exp_tag1 -class OTA -class_id $ID -filter r -airmass 10 -ra 1 -decl 2 -exp_time 0 -bg 1 -bg_stdev 1 -bg_mean_stdev 10 -alt 10 -az 10 -ccd_temp 10 -posang 10 -object dog -dateobs 2006-10-20T10:10:10Z || exit 1
 done;
 
Index: /trunk/ippTools/src/pxinject.c
===================================================================
--- /trunk/ippTools/src/pxinject.c	(revision 11141)
+++ /trunk/ippTools/src/pxinject.c	(revision 11142)
@@ -100,13 +100,4 @@
         return false;
     }
-    psString exp_type = psMetadataLookupStr(&status, config->args, "-exp_type");
-    if (!status) {
-        psError(PS_ERR_UNKNOWN, false, "failed to lookup value for -exp_type");
-        return false;
-    }
-    if (!exp_type) {
-        psError(PS_ERR_UNKNOWN, true, "-exp_type is required");
-        return false;
-    }
     psS32 imfiles = psMetadataLookupS32(&status, config->args, "-imfiles");
     if (!status) {
@@ -127,20 +118,4 @@
         psError(PS_ERR_UNKNOWN, true, "-workdir is required");
         return false;
-    }
-
-    psTime *dateobs = NULL;
-    {
-        psString dateobsStr = psMetadataLookupStr(&status, config->args, "-dateobs");
-        if (!status) {
-            psError(PS_ERR_UNKNOWN, false, "failed to lookup value for -dateobs");
-            return false;
-        }
-        // pass through NULL as this is an optional field
-        if (dateobsStr) {
-            dateobs = psTimeFromISO(dateobsStr, PS_TIME_UTC);
-        } else {
-            dateobs = NULL;
-        }
-
     }
 
@@ -156,6 +131,4 @@
                 camera,
                 telescope,
-                dateobs,
-                exp_type,
                 imfiles,
                 workdir
Index: /trunk/ippTools/src/pxinjectConfig.c
===================================================================
--- /trunk/ippTools/src/pxinjectConfig.c	(revision 11141)
+++ /trunk/ippTools/src/pxinjectConfig.c	(revision 11142)
@@ -50,8 +50,4 @@
     psMetadataAddStr(newExpArgs, PS_LIST_TAIL, "-telescope",  0,
         "define the telescope name (required)", NULL);
-    psMetadataAddStr(newExpArgs, PS_LIST_TAIL, "-dateobs",  0,
-        "define observation time", NULL);
-    psMetadataAddStr(newExpArgs, PS_LIST_TAIL, "-exp_type",  0,
-        "define the type of exposure (required)", NULL);
     psMetadataAddS32(newExpArgs, PS_LIST_TAIL, "-imfiles",  0,
         "define the number of imfiles in this exp (required)", 0);
@@ -157,5 +153,4 @@
     }
     addWhereStr(telescope);
-    addWhereStr(exp_type);
     {
         int n = 0;
